package com.themes.keyboard.black.data.bean;



import java.util.ArrayList;
import java.util.List;

public class ConfigLayoutBean {
    private String name;
    private List<ConfigLayoutChild> configLayoutChildren = new ArrayList<>();


    public ConfigLayoutBean(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<ConfigLayoutChild> getKeys() {
        return configLayoutChildren;
    }

    public void addKey(ConfigLayoutChild configLayoutChild) {
        this.configLayoutChildren.add(configLayoutChild);
    }

    public ConfigLayoutChild getLastKey() {
        return configLayoutChildren.isEmpty() ? null : configLayoutChildren.get(configLayoutChildren.size() - 1);
    }


}